emblem-important-4-24.pngLe dépôt contient actuellement des versions en cours de développement qui ne sont pas destinées à être utilisées en production.

Lire aussi : PHP 7.4 en Software Collection

emblem-notice-24.pngInstallation : voir la Configuration du dépôt et choisir le mode d'installation.

Remplacement du PHP par défaut du système par la version 7.4 avec les modules (le plus simple pour Fedora et EL-8) :

dnf module disable php
dnf module install php:remi-7.4
dnf update

Remplacement du PHP par défaut du système par la version 7.4 avec le dépôt (le plus simple pour EL-7) :

yum-config-manager --enable remi-php74
yum update php\*

Installation en parallèle, en Software Collection de PHP 7.4 (x86_64 uniquement, recommandée pour les tests) :

yum install php74

emblem-important-2-24.pngÀ noter :

  • la version EL7 est construite avec RHEL-7.6
  • la version EL6 est construite avec RHEL-6.10
  • beaucoup d'extensions sont aussi disponibles, voir la page PECL extension RPM status.
  • suivre les commentaires pour les mise à jour jusqu'à la version finale.

emblem-notice-24.pngInformations, lire :

Paquets de base (php)

Software Collections (php74)